<?php
if (isset($_SESSION['usuario'])){
$user=$_SESSION['usuario'];
}
else{
?>
<script>
location.href="index.php?errorusuario=3";
</script>
<?php }
include ("conexion.php");
$cons3="SELECT idClinica From usuarios Where idUsuario ='$user'";
$res3=mysql_query($cons3,$conex) or die ("No se consulto la clinica del usuario");
$idClinica=mysql_result($res3,0,'idClinica');
?>
<script>
function valida()
{
	var factura = document.getElementById('factura').value;
	if (factura == '')
	{
		alert ("Requiere ingresar número de factura proveedor");
		document.getElementById("factura").focus();
		return false;
	}
	document.form1.submit();
}
</script>
  <table width="950" border="0" align="center">
    <tr>
      <td><p class="style10">COMPRAS / Nueva Compra</p>      
        <hr size="1" noshade="noshade" color="#0D3356">
      </td>
    </tr>
  </table>
  <table width="950" border="0" align="center">
    <tr>
      <td>
	    <form name="form1" id="form1" action="main.php?a=411" method="post">
	      <table width="100%" border="0" cellpadding="0" cellspacing="5" bgcolor="#CCCCCC">
          <tr>
            <td width="20%"><span class="style4">Fecha: </span>
              <input name="fecha" type="text" class="cuadrotexto calendar" id="datetimepicker" value="<?php echo date("Y-m-d"); ?>"  size="10" maxlength="10">
	   </td>
            <td width="50%"><span class="style4">Factura: </span>
              <input name="factura" type="text" class="cuadrotexto" id="factura"  size="15" maxlength="50" /></td>
            <td width="11%">&nbsp;</td>
            <td width="19%"><input name="button" type="button" class="botonDefault" id="button" onClick="location.href='main.php?a=7'" value="Proveedores"/></td>
          </tr>
          <tr>
            <td colspan="2"><span class="style4">Proveedor: </span>
              <?php
					include("conexion.php");
					$cons="select idProveedor,nombre from proveedor" ;
					$res=mysql_query($cons,$conex) or die ("No se pudo realizar la consulta de Proveedor");
					echo "<select name='idprovee' class='cuadrotexto'>";
   					While ($campo=mysql_fetch_assoc($res)) 
	    			{
						echo "<option value=".$campo['idProveedor']." >".$campo['nombre']."</option>n"; 
 					}
					echo "</select>";
					mysql_free_result($res);
					?>
              <input name="idClinica" type="hidden" class="cuadrotexto" id="idClinica" value="<?php echo $idClinica?>" /></td>
            <td colspan="2"><div align="left"><span class="style4">Cl&iacute;nica: </span>
              <?php
					
					$cons="SELECT * FROM clinicas";
					$res=mysql_query($cons,$conex) or die ("No se pudo consultar las clinicas");
					  echo "<select name='clinica' class='cuadrotexto'>";
                      while ($campo=mysql_fetch_assoc($res)) 
	    				{
						  echo "<option value=".$campo['idClinica']." >".$campo['clinica']."</option>"; 
 						}
                      echo "</select>";
                    ?>
            </div></td>
            </tr>
        </table>
	      <br />
	      <div class="style7">
	      <?php if (isset($_GET['error']))
{
	$error=$_GET['error'];
	if($error==1)
	{
		echo "<p class='style3'>¡Tiene que seleccionar al menos un producto!</p>";
	}
}
  ?>
	      </div>
	    <p class="style7" align='center'>Seleccione los productos a incluir en la factura</p>
<?php
echo "<table align='center' cellpadding='3' class='tablaBordes'>";
echo "<tr class='tablaCabecera'>";

echo "<td align='center'>";
echo " SEL ";
echo "</td>";

echo "<td align='center'>";
echo " ID ";
echo "</td>";

echo "<td>";
echo "NOMBRE";
echo "</td>";

/*
echo "<td class='style4'>";
echo "Descripción";
echo "</td>";
*/

echo "<td align='center'>";
echo "UNIDADES POR<BR>PAQUETE";
echo "</td>";

echo "<td align='center'>";
echo "PRESENTACI&Oacute;N";
echo "</td>";

/*
echo "<td class='style4'>";
echo "Cantidad";
echo "</td>";
*/

echo "</tr>";
include ("conexion.php");

$query="SELECT clave,nombre,unidadespaquete,clasificacion,idPresentacion,idPresentacion2 FROM productos ORDER BY nombre";
$result=mysql_query($query,$conex) or die ("No se consultaron los productos");
$numero_filas=mysql_num_rows($result);
$numero_campos= mysql_num_fields($result);
while($fila = mysql_fetch_array($result))
{
	echo "<tr class='tablaBordes'>";
	
	//CONSULTO NOMBRE DE LA PRESENTACION
	if ($fila[3]=='Incontables')
	{
		if ($fila[5]==0)
		{
			$presen="No asignada";
		}
		else
		{
			$cons2="SELECT presentacion FROM presentaciones WHERE idPresentacion='$fila[5]'";
			$res2=mysql_query($cons2,$conex) or die ("No consulto nombre de presentacion");
			$presen=mysql_result($res2,0,'presentacion');
		}
	}
	else
	{
		$cons2="SELECT presentacion FROM presentaciones WHERE idPresentacion='$fila[4]'";
		$res2=mysql_query($cons2,$conex) or die ("No consulto nombre de presentacion");
		@$presen=mysql_result($res2,0,'presentacion');
	}
	
	//IMPRIMO CHECKBOX
	echo "<td class='style1' align='center'>";
	echo "<input name='clave[]' type='checkbox' value='".$fila[0]."' >";
	echo "</td>";
	
	//FOR DE LOS CAMPOS BUSCADOS
	/*
	for ($i=0;$i< $numero_campos;$i++){
	echo "<td class='style1'>";
	echo $fila[$i];
	echo "</td>";
	}
	*/
	echo "<td class='style1'>";
	echo $fila[0];
	echo "</td>";
	
	echo "<td class='style1'>";
	echo utf8_encode($fila[1]);
	echo "</td>";
	
	echo "<td class='style1' align='center'>";
	echo $fila[2];
	echo "</td>";
	
	//IMPRIMO PRESENTACION
	echo "<td class='style1'>";
	echo $presen;
	echo "</td>";
	
	/*
	//CANTIDAD
	echo "<td class='style4'>";
	echo "<input type='text' name='cantidad[]' class='cuadrotexto' size='3' maxlength='3' disabled>";
	echo "</td>";
	*/
	
	echo "</tr>";
}
echo "</table>";

//mysql_free_result($res);

?>
          <table width="98" border="0" align="center" cellpadding="0" cellspacing="5">
            <tr>
              <td><input name="Submit" type="button" class="botonDefault" value="  Siguiente  " onClick="valida()"/></td>
            </tr>
          </table>
        </form>
</td>
    </tr>
  </table>
<script>

$('#datetimepicker').datetimepicker({
	lang:'es',
	timepicker:false,
	format:'Y-m-d',
	formatDate:'Y-m-d',
});

</script>